%define         pypi_name      yt
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-yt
Version:        3.3.3
Release:        %mkrel 1
Group:          Sciences/Astronomy
Summary:        An analysis and visualization toolkit for Astrophysical simulations
License:        GPLV3+
URL:            http://yt-project.org/
Source0:        https://pypi.python.org/pypi/yt/yt-%{version}.tar.gz

 
BuildRequires:  python-devel
BuildRequires:  freetype2-devel
BuildRequires:  hdf5-devel
BuildRequires:  python-cython
BuildRequires:  python-setuptools
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libgomp-devel

Requires:       python-h5py
Requires:       python-matplotlib
Requires:       python-numpy

%description
Yt is an analysis tool for astrophysical simulation datasets,
generated by simulation platforms like Enzo, Orion, FLASH, Nyx,
MAESTRO, ART and Ramses.  It's written in python and heavily leverages
both NumPy and Matplotlib for fast arrays and visualization,
respectively.


%package -n python3-yt
Summary:        Python3 implementation of Yt
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  freetype2-devel
BuildRequires:  hdf5-devel
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libgomp-devel
Requires:       python3-h5py
Requires:       python3-matplotlib
Requires:       python3-numpy

%description -n python3-yt
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}
%__rm -rf %{pypi_name}.egg-info



%build
%py2_build
%py3_build


%install
%py2_install
%py3_install



%files
%doc CITATION COPYING.txt CREDITS README
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-yt
%doc CITATION COPYING.txt CREDITS README
%{_bindir}/yt
%{_bindir}/iyt
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sat Dec 17 2016 eatdirt <eatdirt> 3.3.3-1.mga6
+ Revision: 1075821
- Upgrade to version 3.3.3 + python3 packaging

* Tue Feb 16 2016 umeabot <umeabot> 2.5.5-9.mga6
+ Revision: 962471
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 daviddavid <daviddavid> 2.5.5-8.mga6
+ Revision: 855909
- rebuild with new hdf5

* Wed Oct 15 2014 umeabot <umeabot> 2.5.5-7.mga5
+ Revision: 748111
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5.5-6.mga5
+ Revision: 730046
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.5.5-5.mga5
+ Revision: 688443
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.5.5-3.mga4
+ Revision: 544524
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.5-2.mga4
+ Revision: 499791
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.5.5-1.mga4
+ Revision: 492721
- Update to 2.5.5

* Fri Jul 26 2013 joequant <joequant> 2.4-1.mga4
+ Revision: 458655
- change gomp openmp
- add openmpi
- uses freetype2
- add png
- add numpy to build requires
- imported package python-yt

